--
-- RealisticRefueling Script
-- author: D90023
-- edited for CNG and FS25 test: gnomegemini
-- date: 03.02.2025
--
-- tested for FS25 and added CNG on 03.02.2025
-- V1.0.1.0

print("RealisticRefueling by D90023 edited and improved by gnomegemini loaded (V1.0.1.0)")

RealisticRefueling = {};

function RealisticRefueling:startLoadingModifier(fillType, fillableObject, fillUnitIndex)

	local fillTypeName = g_fillTypeManager.indexToName[fillType];
	if fillTypeName == "DIESEL" then
		self.fillLitersPerMS = 2.00/1000; -- 2.00 Liters per second -> 120 Liters per minute
	elseif fillTypeName == "METHANE" then
		self.fillLitersPerMS = 1.66/1000; -- 1.66 kg per second -> 100 kg per minute
	end;
end;

LoadTrigger.startLoading = Utils.prependedFunction(LoadTrigger.startLoading, RealisticRefueling.startLoadingModifier);
